Skip to main content
PUT
/
admin
/
v1
/
networks
/
{network_id}
/
members
/
{id}
/
Update a member's role in the network
curl --request PUT \
  --url https://api.mn.co/admin/v1/networks/{network_id}/members/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "moderator",
  "email": "newemail@example.com",
  "first_name": "Jane",
  "last_name": "Smith"
}
'
import requests

url = "https://api.mn.co/admin/v1/networks/{network_id}/members/{id}/"

payload = {
"role": "moderator",
"email": "newemail@example.com",
"first_name": "Jane",
"last_name": "Smith"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role: 'moderator',
email: 'newemail@example.com',
first_name: 'Jane',
last_name: 'Smith'
})
};

fetch('https://api.mn.co/admin/v1/networks/{network_id}/members/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "1234",
  "created_at": "2026-07-09T23:52:13+00:00",
  "updated_at": "2026-07-09T23:52:13+00:00",
  "email": "ada.lovelace@example.com",
  "member_type": "<string>",
  "permalink": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "time_zone": "<string>",
  "location": "<string>",
  "bio": "<string>",
  "referral_count": 123,
  "avatar": "<string>",
  "categories": "<string>",
  "ambassador_level": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer<uint64>
required

ID of the member

network_id
required

The Network's unique integer ID, or subdomain Unique numeric network ID

Body

application/json

Submit results as JSON

Request body for updating a member's role and profile information

role
string

New role for the member (host, moderator, contributor)

Example:

"moderator"

email
string<email>

New email address for the member

Example:

"newemail@example.com"

first_name
string

New first name for the member

Example:

"Jane"

last_name
string

New last name for the member

Example:

"Smith"

Response

The updated member object

A member of a network

id
integer<uint64>
required

The record's integer ID

Example:

"1234"

created_at
string<date-time>
required

The date and time the record was created

Example:

"2026-07-09T23:52:13+00:00"

updated_at
string<date-time>
required

The date and time the record was last modified

Example:

"2026-07-09T23:52:13+00:00"

email
string<email>
required

The member's email address

Example:

"ada.lovelace@example.com"

member_type
string
required

The member's type: 'full' (belongs to the network) or 'limited' (belongs only to specific spaces)

Canonical URL to the member's profile page

first_name
string

The member's first name

last_name
string

The member's last name

time_zone
string

The member's time zone

location
string

The member's location

bio
string

The member's bio

referral_count
integer<uint64>

Number of referrals made by this member

avatar
string

URL to the member's avatar image

categories
string

Array of category objects with id and title

ambassador_level
string

The member's ambassador level